Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.encryption
Class ProtectionPolicy

    java.lang.Object
      org.pdfbox.pdmodel.encryption.ProtectionPolicy

Direct Known Subclasses:
  PublicKeyProtectionPolicy, StandardProtectionPolicy

public abstract class ProtectionPolicy
extends Object

This class represents the protection policy to apply to a document. Objects implementing this abstract class can be passed to the protect method of PDDocument to protect a document.

Version:
  $Revision: 1.2 $
Author:
  Benoit Guillon (benoit.guillon@snv.jussieu.fr)
See Also:
  `PDDocument.protect(ProtectionPolicy)`

Constructor Summary
`ProtectionPolicy()`

Method Summary
`int` | `getEncryptionKeyLength()` Get the length of the secrete key that will be used to encrypt document data.
`void` | `setEncryptionKeyLength(int l)` set the length in (bits) of the secret key that will be used to encrypt document data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtectionPolicy

    public ProtectionPolicy()

Method Detail

### setEncryptionKeyLength

    public void setEncryptionKeyLength(int l)

  set the length in (bits) of the secret key that will be used to encrypt document data. The default value is 40 bits, which provides a low security level but is compatible with old versions of Acrobat Reader.

  Parameters:
    `l` - the length in bits (must be 40 or 128)

### getEncryptionKeyLength

    public int getEncryptionKeyLength()

  Get the length of the secrete key that will be used to encrypt document data.

  Returns:
    The length (in bits) of the encryption key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD